// sticky-share styles
.is-home + .sticky-share {
    opacity: 0;
    right: 0;
    transform: translateX(46px);
    transition: opacity 500ms ease, transform 500ms ease;

    &.is-active {
        opacity: 1;
        transform: translateY(0);
    }
}
.sticky-share {
    color: $white;
    position: fixed;
    right: 0;
    z-index: 101;
    display: inline-flex;
    flex-direction: column-reverse;
    align-items: center;

    &__addthis {
        @extend %list-unstyled;
        text-align: center;
        padding: 5px 0;

        a {
            color: $white;
            text-decoration: none;
            padding: 5px;
            display: inline-block;
            width: 28px;
            height: 28px;

        }
    }
}
@media only screen and (max-width: $bpTablet - 1 ) {
    .is-home + .sticky-share {
        right: 15px;
    }
    .sticky-share {
        right: 15px;
        bottom: 20px;
        z-index: 100001;
        &__title {
            background: $green;
            border-radius: 20px;
            padding: 10px;
            margin-top: 5px;
            cursor: pointer;
        }

        &__addthis {
            a {
                background: $green;
                border-radius: 20px;
                margin-top: 5px;
                width: 36px;
                height: 36px;
                display: inline-flex;
                align-items: center;
                justify-content: center;
            }

            li {
                transition: 0.3s;
                animation: 0.3s down forwards;
                will-change: animation;
                opacity: 0;
                visibility: hidden;

                .addthis_button {
                    &_facebook {
                        background-color: #46629E !important;
                    }

                    &_twitter {
                        background-color: #1DA1F2 !important;
                    }
                    &_email {
                        background-color: #DB4437 !important;
                    }

                    &_linkedin {
                        background-color: #0077B5 !important;
                    }
                    &_whatsapp {
                        background-color: #25D366 !important;
                    }
                    &_link {
                        background-color: #800080 !important;
                    }
                }
                

                &.active {
                    animation: 0.3s * 1 up forwards;

                    visibility: visible;

                    &:nth-child(1) {
                      animation-delay: 0.3s * 2.6;
                    }
                    &:nth-child(2) {
                      animation-delay: 0.3s * 2.2;
                    }
                    &:nth-child(3) {
                        animation-delay: 0.3s * 1.8;
                    }
                    &:nth-child(4) {
                        animation-delay: 0.3s * 1.4;
                    }
                    &:nth-child(5) {
                        animation-delay: 0.3s * 1;
                    }
                    &:nth-child(6) {
                        animation-delay: 0.3s * 0.6;
                    }
                }
            }
            @keyframes up {
                50% {
                  transform: translateY(-15%);
                }
                100% {
                  opacity: 1;
                  transform: translateY(-5%);
                }
              }
              
            @keyframes down {
                0% {
                  opacity: 1;
                  transform: translateY(-15%);
                }
                100% {
                  opacity: 0;
                  transform: translateY(0);
                  top: 0;
                }
            }
        }

    }
    
}

@media only screen and (min-width: $bpTablet) {
    .sticky-share {
        flex-direction: column;
        background: $green;
        display: inline-flex;
        flex-direction: column;
        align-items: center;
        top: 50%;
        
        transform: translateY(-50%);

        &__title {
            padding: 24px 0;
            span {
                display: inline-block;
                text-transform: uppercase;
                font-size: calc-em(13px);
                transform: rotate(270deg);
                margin: 0;
                letter-spacing: 1px;
            }
        }

        &__addthis {
            border-top: 1px solid $white;
            padding: 5px 0;

            
        }

        a {
            transition: padding 500ms ease;
            width: 28px;
            height: 28px;

            &:hover {
                padding-right: 15px;
                padding-left: 0;
                color: $lightgreen;
            }
        }
        

        
    }
}